# frozen_string_literal: true

module CodeFormatter
  SAMPLE_CONFIG_DIR = './'
  SAMPLE_CONFIG_FILE = 'code_formatter.config'

  class Initializer
    def self.init
      config = File.read(File.expand_path('../resources/sample_config.config', __FILE__))
      if File.file? SAMPLE_CONFIG_FILE
        warn %(ERROR: Initialization failed. There is already exists some #{SAMPLE_CONFIG_FILE})
      else
        Dir.mkdir(SAMPLE_CONFIG_DIR) unless Dir.exist?(SAMPLE_CONFIG_DIR)
        File.write(File.join(SAMPLE_CONFIG_DIR, SAMPLE_CONFIG_FILE), config)
      end
    end

    def self.initialized_config
      return SAMPLE_CONFIG_FILE if File.exist?(SAMPLE_CONFIG_FILE)
      File.join(SAMPLE_CONFIG_DIR, SAMPLE_CONFIG_FILE)
    end
  end
end
